.\" Copyright (C) 2007-2021 by JCF Ploemen <linux@jcf.pm>.
.\" 
.\" This program is free software; you can redistribute it and/or
.\" modify it under the terms of the GNU General Public License
.\" as published by the Free Software Foundation; either version 2
.\" of the License, or (at your option) any later version.
.\" 
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\" 
.\" You should have received a copy of the GNU General Public License
.\" along with this program; if not, write to the Free Software
.\" Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
.TH SABNZBDPLUS 1 "August 2021" "Version 3.3.1"

.SH NAME
sabnzbdplus \- a web\-based binary newsgrabber with nzb support.

.SH SYNOPSIS
.B
sabnzbdplus [\-f <configfile>] [[...other options]] [NZB file(s)]

.SH DESCRIPTION
SABnzbd+ is a web\-based binary newsgrabber written in Python, with support for the popular nzb file format. It takes one or more nzb files as input and from there on does all the work, including fetching files from Usenet, checking file integrity, and unpacking. Configuration can be done via the web interface or in the configuration file.

Multiple servers are supported, as well as secure (ssl) connections, ipv6, scheduling, pausing and resuming downloads, queue manipulation, rss feeds, nzb indexer integration, automatic sorting, a download history, email notifications, and custom post\-processing scripts. An extensive API allows third party applications to interact with the program.

.SH USAGE
To run the program execute \fBsabnzbdplus\fR, then point your favorite web browser to \fBhttp://<host>:<port>\fR. The host and port settings default to 127.0.0.1 and 8080, respectively; the default port for https connections is 9090.

New nzb files may be queued for download by putting them in the watched directory, adding them via the web interface, or from rss feeds.

.SH OPTIONS
.IP "\-h  \-\-help"
Show a list of options
.IP "\-f  \-\-config\-file <filename>"
Location of the configuration file
.IP "\-s  \-\-server <host:port>"
Hostname or ip address and port to listen on
.IP "\-t  \-\-templates <template>"
Primary interface templates
.IP "\-l  \-\-logging <-1..2>"
Log level (\-1 for off, 0 for least, 2 for most)
.IP "\-w  \-\-weblogging <0..2>"
Cherrypy (built\-in web\-server) logging (0 for off, 1 for on, 2 for file\-only)
.IP "\-b  \-\-browser <0..1>"
Automatically launch browser (0 for off, 1 for on)
.IP "\-d  \-\-daemon"
Fork daemon process (run the program in the background)
.IP "\-\-pid <path>"
Create a pid file in the listed folder (full path)
.IP "\-\-pidfile <path>"
Create a pid file with the given name (full path)
.IP "\-v  \-\-version"
Show version
.IP "\-c  \-\-clean"
Remove queue, cache and logs
.IP "\-p  \-\-pause"
Start paused
.IP "\-\-https <port>"
Port to listen on for https connections
.IP "\-\-repair"
Add orphaned jobs from the incomplete folder to the queue
.IP "\-\-repair\-all"
Try to reconstruct the queue from the incomplete folder with full data reconstruction
.IP "\-\-log\-all"
Log all article handling (for developers)
.IP "\-\-new"
Run a new instance of SABnzbd, instead of starting the UI of the existing instance
.IP "\-\-ipv6_hosting <0|1>"
Listen on IPv6 address [::1] (0= off, 1= on)
.IP "\-\-inet_exposure <0..5>"
Set external internet access
.IP "\-\-disable\-file\-log"
Log only to console
.IP "\-\-no\-login"
Start with username and password reset

Any specified NZB file(s) will be added to the download queue. Recognized extensions are .nzb, .zip, .rar, .gz, and .bz2.

.SH FILES
.I ~/.sabnzbd/
.RS
Default location for the program's configuration file and internal administration
.RE
.I ~/Downloads/
.RS
Default location for downloaded files
.RE
.I /etc/default/sabnzbdplus
.RS
Configuration file for the init.d script
.RE

.SH AUTHOR
This man page was written by JCF Ploemen <linux@jcf.pm> and is licensed under the GNU GPL, version 2 or later.

.SH "SEE ALSO"
.P
Project wiki with extensive user documentation: https://sabnzbd.org/wiki
.P
SABnzbd+ homepage and support forums: https://sabnzbd.org
.P
API documentation: https://sabnzbd.org/wiki/advanced/api
.P
Github project page: https://github.com/sabnzbd/sabnzbd
